Package ghidra.graph.viewer.layout

# Enum Class LayoutListener.ChangeType

java.lang.Object
java.lang.Enum<LayoutListener.ChangeType>
ghidra.graph.viewer.layout.LayoutListener.ChangeType

All Implemented Interfaces:
  `Serializable`, `Comparable<LayoutListener.ChangeType>`, `Constable`

Enclosing interface:
  LayoutListener<V,E>

public static enum LayoutListener.ChangeType extends Enum<LayoutListener.ChangeType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `RESTORE`
  `TRANSIENT`
  `USER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LayoutListener.ChangeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LayoutListener.ChangeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### USER

    public static final LayoutListener.ChangeType USER

  - ### TRANSIENT

    public static final LayoutListener.ChangeType TRANSIENT

  - ### RESTORE

    public static final LayoutListener.ChangeType RESTORE

- ## Method Details

  - ### values

    public static LayoutListener.ChangeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LayoutListener.ChangeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null